<link rel="import" href="../scatter-chart.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">
<dom-module id="test-element">
  <template>
    <style include="iron-flex-layout-attributes"></style>
    <style>
      :host {
        display: block;
      }
      div {
        height: 100%;
      }
    </style>

    <div horizontal layout>
      <scatter-chart flex data="{{data}}" config="{{config}}"></scatter-chart>
      <scatter-chart flex data="{{data}}" config="{{config}}"></scatter-chart>
    </div>

  </template>
  <script>
    Polymer({
      is: 'test-element',
      properties: {
        data: {
          type: Array,
          value: function() {
            var groups = 4;
            var points = 40;
            var data = [],
            //shapes = ['circle', 'cross', 'triangle-up', 'triangle-down', 'diamond', 'square'],
            random = d3.random.normal();

            for (i = 0; i < groups; i++) {
              data.push({
                key: 'Group ' + i,
                values: []
              });

              for (j = 0; j < points; j++) {
                data[i].values.push({
                  x: random()
                , y: random()
                , size: Math.random()
                //, shape: shapes[j % 6]
                });
              }
            }

            return data;
          }
        },
        config: {
          type: Object,
          value: function() {
            return {
              showLegend : true,

              showDistX: true,
              showDistY: true,
              color: d3.scale.category10().range()
            }
          }
        }
      },

    });
  </script>
</dom-module>
